Office Equipment & Supplies

Office Equipment & Supplies

We have bought a lexmark X2630 and it wont download on to our apple mac osx 10.5 itsays its designed for up to 10.4 only and to contact lexmark.

Posted by karen_himion on Apr 03, 2009

★ ★ ★ ★ ☆ 4.0 stars

Office Equipment & Supplies

Product Troubleshooting for Office Equipment & Supplies


Tips for a great answer:

- Provide details, support with references or personal experience .
- If you need clarification, ask it in the comment box .
- It's 100% free, no registration required.

Answers :


Hi! The drivers for MAC OS10.5 may not be there in the cd you got with your Lexmark, thats the reason why its displaying that message. However, you can download the drivers from the link-- Lexmark X2630 Mac OS 10.5 Driver Please see this link, select your region as North America-> United States-> Then enter your Printer model number in the printer model and select the operating system as Mac 10.5 and download the coressponding drivers from there. After download is finished, install the drivers and your printer will work fine then. Please revert for any clarification. Thanks for using Fixya and accept the solution if found helpful. Thanks Rylee
Having problems with your Office Equipment & Supplies ?

Loading ...

Load time: 0.0073 seconds